//
// AppDelegate.h
// TakeTours
//
// Created by iphone development on 8/14/14.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "Vendor.h"
#import "MyCoreData.h"
#import "ShopCarts.h"

@interface AppDelegate : UIResponder

@property (nonatomic, strong) IBOutlet UIWindow *window;

@property (nonatomic, strong) Vendor *loginUser;
@property (nonatomic, strong) MyCoreData *coreData;
@property (nonatomic, strong) ShopCarts *shopCarts;

- (void)firstLoadLogin;
- (void)dashboard;
- (void)logout;

- (void)applyDefaultConfigurationForViewController:(UIViewController *)viewController;

- (void)getSearchDataSource:(NSString *)name;
- (void)callPhone;
- (void)changeLanguage;

@end
